# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ perl(Devel/Peek.pm) perl(ExtUtils/MakeMaker.pm) perl(Socket.pm) perl(diagnostics.pm) perl-devel swig
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%name is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name ncpfs
%define	major		2.3
%define	libname		lib%{name}%{major}
%define develname	lib%{name}-devel
%global _legacy_common_support 1

Summary:	Utilities for the ncpfs filesystem, a NetWare client for Linux
Name:		ncpfs
Version:	2.2.6
Release:	alt10_23
License:	GPLv2+
Group:		Networking/Other
URL:		ftp://platan.vc.cvut.cz/pub/linux/ncpfs/
Source0:	ftp://platan.vc.cvut.cz/pub/linux/ncpfs/%{name}-%{version}/%{name}-%{version}.tar.bz2
Patch0:		ncpfs-2.2.3-fix.patch
Patch1:		ncpfs-2.2.3-array.patch
Patch3:		ncpfs-2.2.4-pie.patch
Patch5:		ncpfs-2.2.6-getuid.patch
Patch6:		ncpfs-2.2.4-gcc4.patch
Patch7:		ncpfs-2.2.6-ldconfig.patch
Patch8:		ncpfs-2.2.6-align.patch
Patch9:		ncpfs-2.2.6-add-missing-header.patch
# From Fedora: fixes compilation failure (see Debian bug 428937)
# - AdamW 2007/12
Patch10:	ncpfs-2.2.6-offsetof.patch
Patch11:	ncpfs-2.2.6-LDFLAGS.diff
Patch12:	ncpfs-2.2.6-CVE-2010-0788.diff
Patch13:	ncpfs-2.2.6-CVE-2010-0790,0791.diff
Patch14:	ncpfs-2.2.6-CVE-2011-1679,1680.diff
Requires(pre):	filesystem >= 2.1.9
Requires:	ipxutils
Requires:	%{libname} = %{version}-%{release}
BuildRequires:	libpam0-devel
Source44: import.info


%description
Ncpfs is a filesystem which understands the Novell NetWare(TM)
NCP protocol.  Functionally, NCP is used for NetWare the way NFS
is used in the TCP/IP world.  For a Linux system to mount a NetWare
filesystem, it needs a special mount program.  The ncpfs package
contains such a mount program plus other tools for configuring and
using the ncpfs filesystem.

Install the ncpfs package if you need to use the ncpfs filesystem
to use Novell NetWare files or services.

%package -n	ipxutils
Summary:	Tools for configuring and debugging IPX interfaces and networks
Group:		System/Configuration/Networking
Requires(pre):	filesystem >= 2.1.9

%description -n	ipxutils
The ipxutils package includes utilities (ipx_configure, ipx_internal_net,
ipx_interface, ipx_route) necessary for configuring and debugging IPX
interfaces and networks under Linux. IPX is the low-level protocol used
by Novell's NetWare file server system to transfer data.

Install ipxutils if you need to configure IPX networking on your network.

%package -n	%{libname}
Summary:	Library associated with ncpfs
Group:		System/Libraries
Provides: libncp = %EVR
Conflicts: libncp < 2.2.6-alt10


%description -n	%{libname}
This library is mandatory for ncpfs and ipxutils to run.

%package -n	%{develname}
Summary:	Development package with static libs and headers
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	libncpfs2.3-devel

%description -n	%{develname}
Static libraries and header files required for compiling xmms plugins.

%prep
%setup -q
%patch0 -p1 -b .fix
%patch1 -p1 -b .array
%patch3 -p1 -b .pie
%patch5 -p1 -b .getuid
%patch6 -p1 -b .gcc4
%patch7 -p1 -b .ld
%patch8 -p1 -b .align
%patch9 -p1 -b .header
%patch10 -p1 -b .offset
%patch11 -p1 -b .LDFLAGS
%patch12 -p1 -b .CVE-2010-0788
%patch13 -p1 -b .CVE-2010-0790,0791
%patch14 -p1 -b .CVE-2011-1679,1680

chmod +rw -R .

# lib64 fix
perl -pi -e "s|/lib/security\b|%{_libdir}/security|g" configure*

%build
chmod -R u+w po

CFLAGS="%{optflags} -fPIC" \
LDFLAGS="" \
%configure \
    --disable-rpath \
    --enable-pam

make clean
%make_build

%make_build -C ipxdump
mv ipxdump/README ipxdump/README.ipxdump

%install
mkdir -p %{buildroot}%{_libdir}

%make_install DESTDIR=%buildroot install install-dev

# Move ipx_configure/ipx_internal_net to permit /usr from NFS
for i in ipx_configure ipx_internal_net ipx_interface ; do
    mv %{buildroot}%{_bindir}/$i %{buildroot}%{_sbindir}/$i
done

install -m755 ipxdump/ipxdump ipxdump/ipxparse %{buildroot}%{_bindir}/

ln -sf %{_bindir}/ncpmount %{buildroot}%{_sbindir}/mount.ncp
ln -sf %{_bindir}/ncpmount %{buildroot}%{_sbindir}/mount.ncpfs
ln -sf ncpmount.8 %{buildroot}%{_mandir}/man8/mount.ncp.8

%find_lang %{name}

#rm -f %{buildroot}/usr/share/locale/locale.alias

%post -n ipxutils
if [ -f %{_sysconfdir}/modules.conf ];then
    if ! grep -q -E "^alias.*net-pf-4.*ipx" %{_sysconfdir}/modules.conf;then
	echo "alias net-pf-4 ipx" >> %{_sysconfdir}/modules.conf
    fi
else
    echo "alias net-pf-4 ipx" >> %{_sysconfdir}/modules.conf
fi

%postun  -n ipxutils
if [ "$1" = "0" ];then
    if [ -f %{_sysconfdir}/modules.conf ];then
	if grep -q -E "^alias.*net-pf-4.*ipx" %{_sysconfdir}/modules.conf;then
	    sed 's/^alias net-pf-4 ipx//' %{_sysconfdir}/modules.conf > %{_sysconfdir}/.modules.conf.ipx \
	    && mv -f %{_sysconfdir}/.modules.conf.ipx %{_sysconfdir}/modules.conf
	fi
    fi
fi


%files -f %{name}.lang
%{_bindir}/n*
%{_bindir}/p*
%{_bindir}/slist
%{_sbindir}/mount.ncp*
%{_sbindir}/nwmsg
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%doc BUGS Changes FAQ README

%files -n ipxutils
%doc ipx-1.0/COPYING ipx-1.0/README
%doc ipxdump/README.ipxdump
%{_sbindir}/ipx_*
%{_bindir}/ipx*
%{_mandir}/*/ipx*

%files -n %{libname}
%{_libdir}/security/*
%{_libdir}/libncp.so.*

%files -n %{develname}
%doc Changes
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_includedir}/*


%changelog
* Tue Nov 03 2020 Igor Vlasenko <viy@altlinux.ru> 2.2.6-alt10_23
- picked up from orphaned- not for Sisyphus - had CVE

* Thu Mar 15 2018 Igor Vlasenko <viy@altlinux.ru> 2.2.6-alt9.qa2
- NMU: added URL

* Fri Apr 19 2013 Dmitry V. Levin (QA) <qa_ldv@altlinux.org> 2.2.6-alt9.qa1
- NMU: rebuilt for updated dependencies.

* Wed Mar 09 2011 Dmitry V. Levin <ldv@altlinux.org> 2.2.6-alt9
- Imported fix of race conditions in ncpmount/ncpumount operations
  from Fedora (fixes CVE-2009-3297).

* Wed Nov 10 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.2.6-alt8
- Rebuilt for soname set-versions

* Tue Nov 10 2009 Repocop Q. A. Robot <repocop@altlinux.org> 2.2.6-alt7.qa1
- NMU (by repocop): the following fixes applied:
  * post_ldconfig for libncp
  * postun_ldconfig for libncp
  * postclean-05-filetriggers for spec file

* Sun Apr 06 2008 Dmitry Lebkov <dlebkov@altlinux.ru> 2.2.6-alt7
- control(8) support (fixes #2275, partially #2289) by mike@

* Mon Jan 15 2007 Dmitry Lebkov <dlebkov@altlinux.ru> 2.2.6-alt6
- fix x86_64 build

* Mon Jan 15 2007 Dmitry Lebkov <dlebkov@altlinux.ru> 2.2.6-alt5
- spec-file fix: apply patches, missed in alt4

* Tue Nov 07 2006 Dmitry Lebkov <dlebkov@altlinux.ru> 2.2.6-alt4
- rebuild with latest ALT Sisyphus

* Mon Jul 03 2006 Dmitry Lebkov <dlebkov@altlinux.ru> 2.2.6-alt3
- compilation with gcc4.1 fixed

* Wed Oct 05 2005 Dmitry Lebkov <dlebkov@altlinux.ru> 2.2.6-alt2
- compilation fixed

* Fri Jan 28 2005 Dmitry Lebkov <dlebkov@altlinux.ru> 2.2.6-alt1
- new version 2.2.6
  + CAN-2005-001{3,4} security fix in upstream

* Wed Oct 08 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 2.2.3-alt1
- new version 2.2.3

* Thu Oct 17 2002 Rider <rider@altlinux.ru> 2.2.0.18.a-ipl5mdk
- rebuild (gcc 3.2)

* Mon Apr 15 2002 Rider <rider@altlinux.ru> 2.2.0.18.a-ipl4mdk
- rebuild

* Sat Jan 20 2001 Dmitry V. Levin <ldv@fandra.org> 2.2.0.18.a-ipl3mdk
- RE adaptions.
- Fixed compilation.
- Split out libncp and libncp-devel subpackages.
- Updated code to new modutils.

* Sun Nov 05 2000 David BAUDENS <baudens@mandrakesoft.com> 2.2.0.18.a-3mdk
- Use optimizations

* Tue Aug 30 2000 Florin Grad <florin@mandrakesoft.com> 2.2.0.18.a-2mdk
- changing some macros

* Tue Aug 29 2000 Florin Grad <florin@mandrakesoft.com> 2.2.0.18.a-1mdk
- new version
- adding some macros

* Tue May 23 2000 Vincent Saugey <vince@mandrakesoft.com> 2.2.0.17.a-4mdk
- new version
- adding new macros

* Tue May 23 2000 Vincent Saugey <vince@mandrakesoft.com> 2.2.0.17.a-4mdk
- Add ldconfig to ncp package

* Mon May 22 2000 Vicnent Saugey <chmouel@mandrakesoft.com> 2.2.0.17.a-3mdk
- Fix file list

* Thu May 18 2000 Vincent Saugey <vince@mandrakesoft.com> 2.2.0.17.a-2mdk
- Many fix in build process
- Add build pam-devel require
- Change all %install process don't use the buggy Makefile of source for install

* Wed May 10 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.0.17.a-1mdk
- 2.2.0.17
- Add large key patch
- Add net-pf-4 to /etc/conf.modules in %post.

* Fri Apr 14 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 2.2.0.16.a-3mdk
- Fix groups.
- s/.gz/.bz2/ in rpm.files
- do not issue 2 sed call , just use the sed -e option.

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.2.0.16.a
- left ipx_interface out of %files.
- fix mount.ncp USER arg.
- move ipxdump docs to the package that it's in...
- fix bug in slist/nwsfind

* Mon May 17 1999 Axalon Bloodstone <axalon@relic.net>
- More Mandake adaptions, bzip2 manpages
- broken manpage symlinks

* Sat May 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch from Axalon Bloodstone <axalon@Jumpstart.netpirate.org>

* Wed May 05 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions
- fix compilation

* Tue Apr  6 1999 Bill Nottingham <notting@redhat.com>
- turn off setuid on nwsfind
- move ipxutils to using ncpfs versioning for sanity reasons

* Fri Mar 26 1999 Bill Nottingham <notting@redhat.com>
- doesn't work on alpha, apparently
- add a mount.ncp mount helper

* Mon Mar 22 1999 Bill Nottingham <notting@redhat.com>
- remove dangling symlink

* Tue Feb 23 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.0.12

* Fri Jan 22 1999 Bill Nottingham <notting@redhat.com>
- build for arm. Yuk.

* Wed Dec  9 1998 Bill Nottingham <notting@redhat.com>
- update to 2.2.0.11

* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.2.0.

* Fri Jul 10 1998 Jeff Johnson <jbj@redhat.com>
- exclusively i386 for now.

* Tue Jul  7 1998 Jeff Johnson <jbj@redhat.com>
- move ipx_configure/ipx_internal_net to /sbin to permit /usr from NFS.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Apr 13 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild
- there is a new version out, 2.0.12, but it contains RSA crypto code, so
  it's of no use for us. :-(
- buildroot and spec file cleanup

* Thu Dec 18 1997 Erik Troan <ewt@redhat.com>
- uid_t, gid_t, mode_t fixes for glibc 2.0.5 and linux 2.0.x

* Wed Oct 23 1997 Michael Fulbright <msf@redhat.com>
- added a few file which were missing from the file list

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- updated to 2.0.11
- massive hacking for glibc

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- nwrights program now included in package.
